%define anolis_release 1
%bcond_without XSAccessor

Name:           perl-PPI
Version:        1.276
Release:        %{anolis_release}%{?dist}
Summary:        Parse, Analyze and Manipulate Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PPI
Source0:        https://cpan.metacpan.org/modules/by-module/PPI/PPI-%{version}.tar.gz
BuildArch:      noarch
# =============== Module Build ======================
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) > 6.75
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# =============== Module Runtime ====================
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone) >= 0.30
BuildRequires:  perl(constant)
BuildRequires:  perl(Digest::MD5) >= 2.35
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(if)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(overload)
BuildRequires:  perl(Params::Util) >= 1.00
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable) >= 2.17
BuildRequires:  perl(strict)
# =============== Test Suite ========================
BuildRequires:  perl(B)
BuildRequires:  perl(Class::Inspector) >= 1.22
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Object) >= 0.07
BuildRequires:  perl(Test::SubCalls) >= 1.07
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
# =============== Module Runtime ====================
%if %{with XSAccessor}
BuildRequires:  perl(Class::XSAccessor)
%endif
# Run-require Task::Weaken, see Changes for more details.
Requires:       perl(Task::Weaken)

# Filter out redundant unversioned provides
%global __provides_exclude ^perl\\(PPI::.+\\)$

%description
Parse, analyze and manipulate Perl (without perl).

%prep
%setup -q -n PPI-%{version}

%if %{without XSAccessor}
rm lib/PPI/XSAccessor.pm
sed -i '/^lib\/PPI\/XSAccessor\.pm$/d' MANIFEST
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/PPI/
%{perl_vendorlib}/PPI.pm
%{_mandir}/man3/PPI*.3*

%changelog
* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.276-1
- init from upstream
